Subject: bug#78492: [PATCH] 31.0.50; eglot.el does not support pyrefly LSP server (python)

From: Ship Mints <[email-masked]>
Date: Mon, 19 May 2025 06:53:53 -0400

On Mon, May 19, 2025 at 6:50 AM Jostein Kjønigsen <
[email-masked]> wrote:

>
> On 19 May 2025, at 12:37, Ship Mints <[email-masked]> wrote:
>
> Cool.  You jumped on pyrefly fast.  As eglot supports only one LSP server
> at a time per session (for now...I think Joao has a multiplexer idea), it
> might also be good to see pyrefly integrated into pylsp as mypy is (see
> https://github.com/python-lsp/pylsp-mypy).  This way, eglot users can
> benefit from simultaneous linting, type checking, and code navigation vs.
> just type checking alone which is what they'd get using pyrefly as an LSP.
> To be clear, I'm not saying skip the patch, I'm saying let's also encourage
> integration under a multiplexing LSP.
>
>
> Hey!
>
> Thanks for the quick reply.
>
> I have to admit I didn't know about that whole
> pylsp-extensibility-and-multiplexing story. It sounds useful, but I don't
> feel like that's something I'm going to be taking charge of.
>

I suggested encouraging not volunteering but of course you could do both!
How about at least submitting an issue for the feature request here
https://github.com/python-lsp/python-lsp-server/issues